---
title: Returns a list of available Testimonial widgets.
slug: returns-a-list-of-available-testimonial-widgets
docTags: 
createdAt: 2025-08-10T07:26:32.596Z
---

{
  "id": "UhZ_RBQK2HNpr_mImNXlA",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usetrust.app/v1/widgets",
    "servers": [],
    "name": "Returns a list of available Testimonial widgets.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basic",
          "name": "basic",
          "kind": "optional",
          "type": "http",
          "description": "Basic Authentication header",
          "scheme": "basic"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returns an object that contains an array of all testimonial widgets.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"testimonialWidgets\":[{\"workspaceId\":\"142f7229-f89b-5f17-84cf-31f04d1ca412\",\"widgetId\":\"54cf7219-e89b-4f17-84cf-31f04d1ca412\",\"type\":\"popup\",\"active\":true,\"name\":null,\"description\":null},{\"workspaceId\":\"142f7229-f89b-5f17-84cf-31f04d1ca412\",\"widgetId\":\"54cf7219-e89b-4f17-84cf-31f04d1ca412\",\"type\":\"onpage\",\"active\":true,\"name\":\"Homepage\",\"description\":\"Multi - Carousel\"},{\"workspaceId\":\"142f7229-f89b-5f17-84cf-31f04d1ca412\",\"widgetId\":\"ec4cb952-6d94-4e67-90e0-f1c4a76035ba\",\"type\":\"onpage\",\"active\":true,\"name\":\"LandingPage 1\",\"description\":\"Multi - Static\"}]}",
            "description": "",
            "customType": "Widgets",
            "schema": [
              {
                "name": "testimonialWidgets",
                "kind": "optional",
                "type": "array",
                "description": "An array of all widgets of all registered websites (when testimonial tool is activated).",
                "modelRef": "#/components/schemas/WidgetData",
                "customType": "WidgetData[]",
                "schema": [
                  {
                    "name": "workspaceId",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "example": ""
                  },
                  {
                    "name": "widgetId",
                    "kind": "optional",
                    "type": "string<uuid>",
                    "description": "Id of a widget (format of Guid).",
                    "example": "0a226010-21cb-4c9c-96cb-4966c4008cbe"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "Type of widget: onpage or popup",
                    "example": "onpage"
                  },
                  {
                    "name": "active",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "Is Popup active?",
                    "example": true
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "Name of an onpage widget.",
                    "example": "Signup Page"
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": "Description of an onpage widget.",
                    "example": "Single - Static"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Widgets",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "string",
            "description": "",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "s8_1IXDufwYrfnIGJextY",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usetrust.app/v1/widgets \\\n     --header 'accept: application/json'"
        },
        {
          "id": "VZM-IlC0rEbIZxL3fCq4_",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usetrust.app/v1/widgets\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "JDRfTnda5jqAS-P9A7FGf",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usetrust.app/v1/widgets\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "INLnBMV2plLGz6GIy1ay0",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usetrust.app/v1/widgets\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        },
        {
          "id": "L9Sp573SRXRtXRrfhUE2_",
          "language": "csharp",
          "label": "C#",
          "code": "var options = new RestClientOptions(\"https://api.usetrust.app\")\n{\n   MaxTimeout = -1,\n};\nvar client = new RestClient(options);\nvar request = new RestRequest(\"/v1/widgets\", Method.Get);\nrequest.AddHeader(\"accept\", \"application/json\");\nrequest.AddHeader(\"content-type\", \"application/json\");\nRestResponse response = await client.ExecuteAsync(request);\nConsole.WriteLine(response.Content);"
        }
      ],
      "selectedLanguageId": "s8_1IXDufwYrfnIGJextY"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Returns an object that contains an array of all testimonial widgets.\n{\n  \"testimonialWidgets\": [\n    {\n      \"workspaceId\": \"\",\n      \"widgetId\": \"0a226010-21cb-4c9c-96cb-4966c4008cbe\",\n      \"type\": \"onpage\",\n      \"active\": true,\n      \"name\": \"Signup Page\",\n      \"description\": \"Single - Static\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-500",
          "language": "500",
          "code": "// Internal Server Error\n\"\""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}